#### Describe your issue

> Describe the issue or ask your question regarding this module.
> Provide as much relevant information as you can. If you're not sure if something
> is relevant or not, include it as well!
>
> Logs and screenshots are very welcome!

#### How can others reproduce the issue?

> Describe how others can reproduce this issue as precisely as possible.
>
> If you can't reproduce the issue, let us know what you tried!
>
> You can remove this section if the issue isn't something reproducable
> (for example for certain questions or feature requests).

#### Possible solution

> If you have a possible solution to this issue or an idea that might
> help us to find one, describe it here. Let us know what you tried!
>
> You can remove this section if it'd be empty.

#### What's your setup

- OS (`Windows/OS X/Linux` + `version`):
- Node (`node --version`):
- NPM (`npm --version`):
- Docker (`docker version --format '{{.Server.Version}}'`):

> You can remove this section if it's irrelevant to the issue
> (for example for certain questions or feature requests).

#### Issue checklist

Please check the boxes in this list after submitting your Issue:

- [ ] I've checked if this issue already exists
- [ ] I've included all the information that i think is relevant
- [ ] I've added logs and/or screenshots (if applicable)
- [ ] I've mentioned PRs and issues that relate to this one

## Example

<details>
<summary>
:warning: Before creating the issue, click here to expand and follow the guide.
</summary>
<br>

1. Be sure to fill out **every** topic presented in this template.
If a section is not valid or useful for your issue, feel free to remove it.

2. Use the attached Checklist to make sure your issue contains all relevant information.

3. Attach a label to your issue that reflects what your issue is all about.
**When your issue concerns only a specific platform, be sure to attach the label for that platform!**

4. Please use a fitting emoji at the beginning of your issue title.

Example 1 - Report a bug:
```md
:bug: Something is not working properly
```

Example 2 - Report a performance issue:
```md
:zap: Something is slower than it should be
```

Example 3 - Report a package vulnerability or security issue:
```md
:lock: Package xy produces vulnerabilites
```

```md
:lock: User XY has access to something he shouldn't have
```

Example 4 - Report missing test coverage:
```md
:white_check_mark: Add tests for...
```

You can of course phrase your titles however you like.
Just be sure they are short, to the point and convey the general idea of the issue you are experiencing.
</details>

## Emojis

<details>
<summary>
Expand for a list of most used Emojis.
</summary>
<br>

Please prefix your Issue with an Emoji.

Ref: https://gitmoji.carloscuesta.me/

| Description              | Glyphe               | Emoji  |
|--------------------------|----------------------|--------|
| Bugfix                   | `:bug:`              | 🐛     |
| Fixing Security Issues   | `:lock:`             | 🔒     |
| Configuration releated   | `:wrench:`           | 🔧     |
| Cosmetic                 | `:lipstick:`         | 💄     |
| Dependencies Downgrade   | `:arrow_down:`       | ⬇️     |
| Dependencies Upgrade     | `:arrow_up:`         | ⬆️     |
| Formatting               | `:art:`              | 🎨     |
| Improving Performance    | `:zap:`              | ⚡️     |
| Initial commit           | `:tada:`             | 🎉     |
| Linter                   | `:rotating_light:`   | 🚨     |
| Miscellaneous            | `:package:`          | 📦     |
| New Feature              | `:sparkles:`         | ✨     |
| Refactoring Code         | `:recycle:`          | ♻️     |
| Releasing / Version tags | `:bookmark:`         | 🔖     |
| Removing Stuff           | `:fire:`             | 🔥     |
| Tests                    | `:white_check_mark:` | ✅     |
| Work In Progress (WIP)   | `:construction:`     | 🚧     |

</details>
